/*************************************************************

  This is a simple demo of sending and receiving some data.
  Be sure to check out other examples!
 *************************************************************/

/* Fill-in information from Blynk Device Info here */
#define BLYNK_TEMPLATE_ID "TMPL6sfk9ORIe"
#define BLYNK_TEMPLATE_NAME "Sulama"
#define BLYNK_AUTH_TOKEN "ITaOM9Fo0ARI9QVVnYCEDHGKjvfjR_bQ"

/* Comment this out to disable prints and save space */
#define BLYNK_PRINT Serial


#include <WiFi.h>
#include <WiFiClient.h>
#include <BlynkSimpleEsp32.h>

// Your WiFi credentials.
// Set password to "" for open networks.
char ssid[] = "Tarik";
char pass[] = "12345678";
int pumpa_calissin_mi = 0;
int pumpa_pin = 15;


BlynkTimer timer;

// This function is called every time the Virtual Pin 0 state changes
BLYNK_WRITE(V0)
{
  // Set incoming value from pin V0 to a variable
  int value = param.asInt();

  // Update state
  Blynk.virtualWrite(V1, value);
}

// This function is called every time the device is connected to the Blynk.Cloud
BLYNK_CONNECTED()
{
  // Change Web Link Button message to "Congratulations!"
  Blynk.setProperty(V3, "offImageUrl", "https://static-image.nyc3.cdn.digitaloceanspaces.com/general/fte/congratulations.png");
  Blynk.setProperty(V3, "onImageUrl",  "https://static-image.nyc3.cdn.digitaloceanspaces.com/general/fte/congratulations_pressed.png");
  Blynk.setProperty(V3, "url", "https://docs.blynk.io/en/getting-started/what-do-i-need-to-blynk/how-quickstart-device-was-made");
  
}

BLYNK_WRITE(V15){
  pumpa_calissin_mi = param.asInt();
  }

// This function sends Arduino's uptime every second to Virtual Pin 2.

void setup()
{
  // Debug console
  Serial.begin(9600);
  pinMode(pumpa_pin, OUTPUT);
  Blynk.begin(BLYNK_AUTH_TOKEN, ssid, pass);

}

void loop()
{
  Blynk.run();
  timer.run();

  Serial.println(pumpa_calissin_mi);

  if(pumpa_calissin_mi == 1){
    digitalWrite(pumpa_pin, LOW);
    delay(50);
  }
  else{
    digitalWrite(pumpa_pin, HIGH);
    delay(50);
  }
}
